#!/bin/sh

move() {
    if [ ! -f $2 ]
    then
	if [ -f $1 ]
	then
	    mv $1 $2
	fi
    fi
}


echo "Renaming the Original X libraries"
move /usr/lib/libX11.a /usr/lib/libOrgX11.a
move /usr/lib/libX11.so.4.10 /usr/lib/libOrgX11.so.4.10

echo "Copying the HanX libraries"
install -m 644 -o root -g bin libHanX11.a /usr/lib/libHanX11.a
install -m 755 -o root -g bin libHanX11.so.4.10 /usr/lib/libHanX11.so.4.10

echo "Please ignore the following errors from ln, "File Exists""
ln -s /usr/lib/libHanX11.a /usr/lib/libX11.a
ln -s /usr/lib/libHanX11.so.4.10 /usr/lib/libX11.so.4.10
ldconfig /usr/lib

if [ ! -d /usr/man/mann ] 
then
    mkdir /usr/man/mann
    chmod 755 /usr/man/mann
fi

if [ ! -d /usr/man/catn ] 
then
    mkdir /usr/man/catn
    chmod 755 /usr/man/catn
fi

install -m 644 -o root -g bin HanX.n /usr/man/mann/HanX.n
install -m 644 -o root -g bin HanXHangul.n /usr/man/catn/HanXHangul.n
install -m 644 -o root -g bin USAGE /usr/local/info/HanX.USAGE
install -m 755 -o root -g bin HanXStatus /usr/bin/X11/HanXStatus
install -m 4755 -o root -g bin hxvt /usr/bin/X11/hxvt
install -m 4755 -o root -g bin hanterm /usr/bin/X11/hanterm
install -m 644 -o root -g bin xvt.1 /usr/man/man1/xvt.1

echo "HanX is installed."
